Managed Service for MongoDB API, REST: Cluster.Update
- HTTP request
- Path parameters
- Body parameters
- ConfigSpec
- MongodbSpec3_6
- Mongod
- MongodConfig3_6
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- Journal
- OperationProfiling
- Network
- Resources
- DiskSizeAutoscaling
- MongoCfg
- MongoCfgConfig3_6
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig3_6
- Network
- MongoInfra
- MongodbSpec4_0
- Mongod
- MongodConfig4_0
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- Journal
- OperationProfiling
- Network
- MongoCfg
- MongoCfgConfig4_0
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig4_0
- Network
- MongoInfra
- MongodbSpec4_2
- Mongod
- MongodConfig4_2
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- SetParameter
- MongoCfg
- MongoCfgConfig4_2
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig4_2
- Network
- Compression
- MongoInfra
- MongodbSpec4_4
- Mongod
- MongodConfig4_4
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- SetParameter
- MongoCfg
- MongoCfgConfig4_4
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig4_4
- Network
- Compression
- MongoInfra
- MongodbSpec5_0
- Mongod
- MongodConfig5_0
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- SetParameter
- MongoCfg
- MongoCfgConfig5_0
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig5_0
- Network
- Compression
- MongoInfra
- MongodbSpec6_0
- Mongod
- MongodConfig6_0
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- SetParameter
- MongoCfg
- MongoCfgConfig6_0
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig6_0
- Network
- Compression
- MongoInfra
- MongodbSpec4_4_enterprise
- Mongod
- MongodConfig4_4_enterprise
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- Security
- KMIP
- AuditLog
- SetParameter
- MongoCfg
- MongoCfgConfig4_4_enterprise
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig4_4_enterprise
- Network
- Compression
- MongoInfra
- MongodbSpec5_0_enterprise
- Mongod
- MongodConfig5_0_enterprise
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- Security
- KMIP
- AuditLog
- SetParameter
- MongoCfg
- MongoCfgConfig5_0_enterprise
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig5_0_enterprise
- Network
- Compression
- MongoInfra
- MongodbSpec6_0_enterprise
- Mongod
- MongodConfig6_0_enterprise
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- Security
- KMIP
- AuditLog
- SetParameter
- MongoCfg
- MongoCfgConfig6_0_enterprise
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- Mongos
- MongosConfig6_0_enterprise
- Network
- Compression
- MongoInfra
- TimeOfDay
- PerformanceDiagnosticsConfig
- Access
- MongodbSpec
- Mongod
- MongodConfig
- Storage
- WiredTiger
- EngineConfig
- CollectionConfig
- IndexConfig
- Journal
- OperationProfiling
- Network
- Compression
- Security
- KMIP
- AuditLog
- SetParameter
- MirrorReads
- Oplog
- MongoCfg
- MongoCfgConfig
- Storage
- WiredTiger
- EngineConfig
- OperationProfiling
- Network
- SetParameter
- AuditLog
- Oplog
- Mongos
- MongosConfig
- Network
- Compression
- SetParameter
- AuditLog
- MongoInfra
- AutoCompactConfig
- MaintenanceWindow
- WeeklyMaintenanceWindow
- Response
- Status
Updates the specified MongoDB cluster.
HTTP request
PATCH https://mdb.api.cloud.yandex.net/managed-mongodb/v1/clusters/{clusterId}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. ID of the MongoDB Cluster resource to update. The maximum string length in characters is 50. |
Body parameters
{
"updateMask": "string",
"description": "string",
"labels": "object",
"configSpec": {
"version": "string",
"featureCompatibilityVersion": "string",
// Includes only one of the fields `mongodbSpec_3_6`, `mongodbSpec_4_0`, `mongodbSpec_4_2`, `mongodbSpec_4_4`, `mongodbSpec_5_0`, `mongodbSpec_6_0`, `mongodbSpec_4_4Enterprise`, `mongodbSpec_5_0Enterprise`, `mongodbSpec_6_0Enterprise`
"mongodbSpec_3_6": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
}
},
"journal": {
"enabled": "boolean",
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string"
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_4_0": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string"
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_4_2": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"enableFlowControl": "boolean"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_4_4": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"enableFlowControl": "boolean"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_5_0": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"enableFlowControl": "boolean",
"minSnapshotHistoryWindowInSeconds": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_6_0": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"enableFlowControl": "boolean",
"minSnapshotHistoryWindowInSeconds": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_4_4Enterprise": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"security": {
"enableEncryption": "boolean",
"kmip": {
"serverName": "string",
"port": "string",
"serverCa": "string",
"clientCertificate": "string",
"keyIdentifier": "string"
}
},
"auditLog": {
"filter": "string"
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"enableFlowControl": "boolean"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_5_0Enterprise": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"security": {
"enableEncryption": "boolean",
"kmip": {
"serverName": "string",
"port": "string",
"serverCa": "string",
"clientCertificate": "string",
"keyIdentifier": "string"
}
},
"auditLog": {
"filter": "string",
"runtimeConfiguration": "boolean"
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"enableFlowControl": "boolean",
"minSnapshotHistoryWindowInSeconds": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"mongodbSpec_6_0Enterprise": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"security": {
"enableEncryption": "boolean",
"kmip": {
"serverName": "string",
"port": "string",
"serverCa": "string",
"clientCertificate": "string",
"keyIdentifier": "string"
}
},
"auditLog": {
"filter": "string",
"runtimeConfiguration": "boolean"
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"enableFlowControl": "boolean",
"minSnapshotHistoryWindowInSeconds": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
}
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
}
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
// end of the list of possible fields
"backupWindowStart": {
"hours": "integer",
"minutes": "integer",
"seconds": "integer",
"nanos": "integer"
},
"backupRetainPeriodDays": "string",
"performanceDiagnostics": {
"profilingEnabled": "boolean"
},
"access": {
"dataLens": "boolean",
"webSql": "boolean",
"dataTransfer": "boolean"
},
"mongodb": {
"mongod": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number",
"cacheSize": "number"
},
"collectionConfig": {
"blockCompressor": "string"
},
"indexConfig": {
"prefixCompression": "boolean"
}
},
"journal": {
"commitInterval": "string"
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string",
"slowOpSampleRate": "number"
},
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"security": {
"enableEncryption": "boolean",
"kmip": {
"serverName": "string",
"port": "string",
"serverCa": "string",
"clientCertificate": "string",
"keyIdentifier": "string"
}
},
"auditLog": {
"filter": "string",
"runtimeConfiguration": "boolean"
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"enableFlowControl": "boolean",
"minSnapshotHistoryWindowInSeconds": "string",
"flowControlTargetLagSeconds": "string",
"flowControlWarnThresholdSeconds": "string",
"migrateCloneInsertionBatchDelayMs": "string",
"migrateCloneInsertionBatchSize": "string",
"orphanCleanupDelaySecs": "string",
"persistedChunkCacheUpdateMaxBatchSize": "string",
"rangeDeleterBatchDelayMs": "string",
"rangeDeleterBatchSize": "string",
"mirrorReads": {
"samplingRate": "number",
"maxTimeMs": "string"
},
"redactClientLogData": "boolean"
},
"oplog": {
"maxSizePercent": "string",
"minRetentionHours": "number"
},
"chainingAllowed": "boolean"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongocfg": {
"config": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number",
"cacheSize": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
},
"setParameter": {
"enableFlowControl": "boolean",
"auditAuthorizationSuccess": "boolean",
"redactClientLogData": "boolean"
},
"auditLog": {
"filter": "string"
},
"oplog": {
"maxSizePercent": "string",
"minRetentionHours": "number"
},
"chainingAllowed": "boolean"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongos": {
"config": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"readHedgingMode": "string",
"shardingTaskExecutorPoolMaxSize": "string",
"shardingTaskExecutorPoolMaxConnecting": "string",
"shardingTaskExecutorPoolMinSize": "string",
"shardingTaskExecutorPoolReplicaSetMatching": "string",
"shardingTaskExecutorPoolHostTimeoutMs": "string",
"shardingTaskExecutorPoolRefreshRequirementMs": "string",
"shardingTaskExecutorPoolRefreshTimeoutMs": "string",
"warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
"warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
"shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
"shardingTaskExecutorPoolMinSizeForConfigServers": "string",
"redactClientLogData": "boolean"
},
"auditLog": {
"filter": "string"
},
"chunkSize": "string"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
},
"mongoinfra": {
"configMongos": {
"net": {
"maxIncomingConnections": "string",
"compression": {
"compressors": [
"string"
]
}
},
"setParameter": {
"auditAuthorizationSuccess": "boolean",
"readHedgingMode": "string",
"shardingTaskExecutorPoolMaxSize": "string",
"shardingTaskExecutorPoolMaxConnecting": "string",
"shardingTaskExecutorPoolMinSize": "string",
"shardingTaskExecutorPoolReplicaSetMatching": "string",
"shardingTaskExecutorPoolHostTimeoutMs": "string",
"shardingTaskExecutorPoolRefreshRequirementMs": "string",
"shardingTaskExecutorPoolRefreshTimeoutMs": "string",
"warmMinConnectionsInShardingTaskExecutorPoolOnStartup": "boolean",
"warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs": "string",
"shardingTaskExecutorPoolMaxSizeForConfigServers": "string",
"shardingTaskExecutorPoolMinSizeForConfigServers": "string",
"redactClientLogData": "boolean"
},
"auditLog": {
"filter": "string"
},
"chunkSize": "string"
},
"configMongocfg": {
"storage": {
"wiredTiger": {
"engineConfig": {
"cacheSizeGb": "number",
"cacheSize": "number"
}
}
},
"operationProfiling": {
"mode": "string",
"slowOpThreshold": "string"
},
"net": {
"maxIncomingConnections": "string"
},
"setParameter": {
"enableFlowControl": "boolean",
"auditAuthorizationSuccess": "boolean",
"redactClientLogData": "boolean"
},
"auditLog": {
"filter": "string"
},
"oplog": {
"maxSizePercent": "string",
"minRetentionHours": "number"
},
"chainingAllowed": "boolean"
},
"resources": {
"resourcePresetId": "string",
"diskSize": "string",
"diskTypeId": "string"
},
"diskSizeAutoscaling": {
"plannedUsageThreshold": "string",
"emergencyUsageThreshold": "string",
"diskSizeLimit": "string"
}
}
},
"autocompactConfig": {
"enabled": "boolean",
"targetFreeSpace": "string",
"bloatPercent": "number",
"compactionType": "string"
}
},
"name": "string",
"maintenanceWindow": {
// Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
"anytime": "object",
"weeklyMaintenanceWindow": {
"day": "string",
"hour": "string"
}
// end of the list of possible fields
},
"securityGroupIds": [
"string"
],
"deletionProtection": "boolean",
"networkId": "string"
}
|
Field |
Description |
|
updateMask |
string (field-mask) A comma-separated names off ALL fields to be updated. If |
|
description |
string New description of the MongoDB cluster. The maximum string length in characters is 256. |
|
labels |
object (map<string, string>) Custom labels for the MongoDB cluster as The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression |
|
configSpec |
New configuration and resources for hosts in the cluster. |
|
name |
string New name for the cluster. The maximum string length in characters is 63. Value must match the regular expression |
|
maintenanceWindow |
New maintenance window settings for the cluster. |
|
securityGroupIds[] |
string User security groups |
|
deletionProtection |
boolean Deletion Protection inhibits deletion of the cluster |
|
networkId |
string ID of the network to move the cluster to. The maximum string length in characters is 150. |
ConfigSpec
|
Field |
Description |
|
version |
string Version of MongoDB used in the cluster. Possible values: |
|
featureCompatibilityVersion |
string MongoDB feature compatibility version. See usage details in MongoDB documentation
|
|
mongodbSpec_3_6 |
Configuration and resource allocation for a MongoDB 3.6 cluster. Includes only one of the fields |
|
mongodbSpec_4_0 |
Configuration and resource allocation for a MongoDB 4.0 cluster. Includes only one of the fields |
|
mongodbSpec_4_2 |
Configuration and resource allocation for a MongoDB 4.2 cluster. Includes only one of the fields |
|
mongodbSpec_4_4 |
Configuration and resource allocation for a MongoDB 4.4 cluster. Includes only one of the fields |
|
mongodbSpec_5_0 |
Configuration and resource allocation for a MongoDB 5.0 cluster. Includes only one of the fields |
|
mongodbSpec_6_0 |
Configuration and resource allocation for a MongoDB 6.0 cluster. Includes only one of the fields |
|
mongodbSpec_4_4Enterprise |
Configuration and resource allocation for a MongoDB 4.4 Enterprise cluster. Includes only one of the fields |
|
mongodbSpec_5_0Enterprise |
Configuration and resource allocation for a MongoDB 5.0 Enterprise cluster. Includes only one of the fields |
|
mongodbSpec_6_0Enterprise |
Configuration and resource allocation for a MongoDB 6.0 Enterprise cluster. Includes only one of the fields |
|
backupWindowStart |
Time to start the daily backup, in the UTC timezone. |
|
backupRetainPeriodDays |
string (int64) Retain period of automatically created backup in days Acceptable values are 7 to 35, inclusive. |
|
performanceDiagnostics |
Performance Diagnosics configuration |
|
access |
Access policy to DB |
|
mongodb |
Configuration and resource allocation for a MongoDB 7.0 Enterprise cluster. |
|
autocompactConfig |
AutoCompact config |
MongodbSpec3_6
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 3.6 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 3.6 hosts. |
|
mongos |
Configuration and resource allocation for mongos 3.6 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 3.6 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 3.6 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig3_6
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
Journal
|
Field |
Description |
|
enabled |
boolean Whether the journal is enabled or disabled.
|
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
Resources
|
Field |
Description |
|
resourcePresetId |
string ID of the preset for computational resources available to a host (CPU, memory etc.). |
|
diskSize |
string (int64) Volume of the storage available to a host, in bytes. |
|
diskTypeId |
string Type of the storage environment for the host.
|
DiskSizeAutoscaling
|
Field |
Description |
|
plannedUsageThreshold |
string (int64) Amount of used storage for automatic disk scaling in the maintenance window, 0 means disabled, in percent. |
|
emergencyUsageThreshold |
string (int64) Amount of used storage for immediately automatic disk scaling, 0 means disabled, in percent. |
|
diskSizeLimit |
string (int64) Limit on how large the storage for database instances can automatically grow, in bytes. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 3.6 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig3_6
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Operation profiling level. For details, see MongoDB documentation
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of incoming connections. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 3.6 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig3_6
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of incoming connections. Acceptable values are 10 to 32768, inclusive. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 3.6 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 3.6 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec4_0
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 4.0 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 4.0 hosts. |
|
mongos |
Configuration and resource allocation for mongos 4.0 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 4.0 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 4.0 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig4_0
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 4.0 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig4_0
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 4.0 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig4_0
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 4.0 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 4.0 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec4_2
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 4.2 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 4.2 hosts. |
|
mongos |
Configuration and resource allocation for mongos 4.2 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 4.2 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 4.2 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig4_2
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
SetParameter
|
Field |
Description |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 4.2 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig4_2
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 4.2 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig4_2
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 4.2 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 4.2 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec4_4
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 4.4 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 4.4 hosts. |
|
mongos |
Configuration and resource allocation for mongos 4.4 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 4.4 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 4.4 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig4_4
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
SetParameter
|
Field |
Description |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 4.4 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig4_4
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 4.4 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig4_4
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 4.4 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 4.4 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec5_0
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 5.0 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 5.0 hosts. |
|
mongos |
Configuration and resource allocation for mongos 5.0 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 5.0 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 5.0 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig5_0
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
SetParameter
|
Field |
Description |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
minSnapshotHistoryWindowInSeconds |
string (int64) The minimum time window in seconds for which the storage engine keeps the snapshot history. The minimum value is 0. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 5.0 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig5_0
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 5.0 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig5_0
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 5.0 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 5.0 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec6_0
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 6.0 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 6.0 hosts. |
|
mongos |
Configuration and resource allocation for mongos 6.0 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 6.0 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 6.0 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig6_0
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
SetParameter
|
Field |
Description |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
minSnapshotHistoryWindowInSeconds |
string (int64) The minimum time window in seconds for which the storage engine keeps the snapshot history. The minimum value is 0. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 6.0 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig6_0
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 6.0 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig6_0
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 6.0 hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 6.0 hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec4_4_enterprise
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 4.4 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 4.4 hosts. |
|
mongos |
Configuration and resource allocation for mongos 4.4 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 4.4 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 4.4 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig4_4_enterprise
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
security |
|
|
auditLog |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
Security
|
Field |
Description |
|
enableEncryption |
boolean If encryption at rest should be enabled or not |
|
kmip |
|
KMIP
|
Field |
Description |
|
serverName |
string KMIP server name |
|
port |
string (int64) KMIP server port |
|
serverCa |
string KMIP Server CA |
|
clientCertificate |
string KMIP client certificate + private key (unencrypted) |
|
keyIdentifier |
string KMIP Key identifier (if any) |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter |
SetParameter
|
Field |
Description |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 4.4 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig4_4_enterprise
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 4.4 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig4_4_enterprise
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 4.4 enterprise hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 4.4 enterprise hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec5_0_enterprise
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 5.0 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 5.0 hosts. |
|
mongos |
Configuration and resource allocation for mongos 5.0 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 5.0 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 5.0 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig5_0_enterprise
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
security |
|
|
auditLog |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
Security
|
Field |
Description |
|
enableEncryption |
boolean If encryption at rest should be enabled or not |
|
kmip |
|
KMIP
|
Field |
Description |
|
serverName |
string KMIP server name |
|
port |
string (int64) KMIP server port |
|
serverCa |
string KMIP Server CA |
|
clientCertificate |
string KMIP client certificate + private key (unencrypted) |
|
keyIdentifier |
string KMIP Key identifier (if any) |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter |
|
runtimeConfiguration |
boolean Allows runtime configuration of audit filter and auditAuthorizationSuccess |
SetParameter
|
Field |
Description |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
minSnapshotHistoryWindowInSeconds |
string (int64) The minimum time window in seconds for which the storage engine keeps the snapshot history. The minimum value is 0. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 5.0 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig5_0_enterprise
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 5.0 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig5_0_enterprise
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 5.0 enterprise hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 5.0 enterprise hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodbSpec6_0_enterprise
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod 6.0 hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg 6.0 hosts. |
|
mongos |
Configuration and resource allocation for mongos 6.0 hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) 6.0 hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod 6.0 hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig6_0_enterprise
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
security |
|
|
auditLog |
|
|
setParameter |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
Security
|
Field |
Description |
|
enableEncryption |
boolean If encryption at rest should be enabled or not |
|
kmip |
|
KMIP
|
Field |
Description |
|
serverName |
string KMIP server name |
|
port |
string (int64) KMIP server port |
|
serverCa |
string KMIP Server CA |
|
clientCertificate |
string KMIP client certificate + private key (unencrypted) |
|
keyIdentifier |
string KMIP Key identifier (if any) |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter |
|
runtimeConfiguration |
boolean Allows runtime configuration of audit filter and auditAuthorizationSuccess |
SetParameter
|
Field |
Description |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
minSnapshotHistoryWindowInSeconds |
string (int64) The minimum time window in seconds for which the storage engine keeps the snapshot history. The minimum value is 0. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg 6.0 hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig6_0_enterprise
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos 6.0 hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig6_0_enterprise
|
Field |
Description |
|
net |
Network settings for mongos. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra 6.0 enterprise hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra 6.0 enterprise hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
TimeOfDay
Represents a time of day. The date and time zone are either not significant
or are specified elsewhere. An API may choose to allow leap seconds. Related
types are google.type.Date
|
Field |
Description |
|
hours |
integer (int32) Hours of day in 24 hour format. Should be from 0 to 23. An API may choose |
|
minutes |
integer (int32) Minutes of hour of day. Must be from 0 to 59. |
|
seconds |
integer (int32) Seconds of minutes of the time. Must normally be from 0 to 59. An API may |
|
nanos |
integer (int32) Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999. |
PerformanceDiagnosticsConfig
|
Field |
Description |
|
profilingEnabled |
boolean Whether profiling is enabled for the cluster. |
Access
|
Field |
Description |
|
dataLens |
boolean Allow access for DataLens. |
|
webSql |
boolean Allow access for Web SQL. |
|
dataTransfer |
boolean Allow access for DataTransfer. |
MongodbSpec
|
Field |
Description |
|
mongod |
Configuration and resource allocation for mongod hosts. |
|
mongocfg |
Configuration and resource allocation for mongocfg hosts. |
|
mongos |
Configuration and resource allocation for mongos hosts. |
|
mongoinfra |
Configuration and resource allocation for mongoinfra (mongos+mongocfg) hosts. |
Mongod
|
Field |
Description |
|
config |
Configuration for mongod hosts. |
|
resources |
Resources allocated to each mongod host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongodConfig
Configuration of a mongod daemon. Supported options are a limited subset of all
options described in MongoDB documentation
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
security |
|
|
auditLog |
|
|
setParameter |
|
|
oplog |
|
|
chainingAllowed |
boolean Chained replication setting |
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
|
journal |
Configuration of the MongoDB journal |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
|
collectionConfig |
Collection configuration for WiredTiger. |
|
indexConfig |
Index configuration for WiredTiger |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
|
cacheSize |
number (double) The maximum size of the internal cache that WiredTiger will use for all data in percents. |
CollectionConfig
|
Field |
Description |
|
blockCompressor |
enum (Compressor) Default type of compression to use for collection data. |
IndexConfig
|
Field |
Description |
|
prefixCompression |
boolean Enables or disables prefix compression |
Journal
|
Field |
Description |
|
commitInterval |
string (int64) Commit interval between journal operations, in milliseconds. Acceptable values are 1 to 500, inclusive. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
|
slowOpSampleRate |
number (double) The fraction of slow operations that should be profiled or logged. Acceptable values are 0 to 1, inclusive. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongod will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
Security
|
Field |
Description |
|
enableEncryption |
boolean If encryption at rest should be enabled or not |
|
kmip |
|
KMIP
|
Field |
Description |
|
serverName |
string KMIP server name |
|
port |
string (int64) KMIP server port |
|
serverCa |
string KMIP Server CA |
|
clientCertificate |
string KMIP client certificate + private key (unencrypted) |
|
keyIdentifier |
string KMIP Key identifier (if any) |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter |
|
runtimeConfiguration |
boolean Allows runtime configuration of audit filter and auditAuthorizationSuccess |
SetParameter
|
Field |
Description |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
minSnapshotHistoryWindowInSeconds |
string (int64) The minimum time window in seconds for which the storage engine keeps the snapshot history. The minimum value is 0. |
|
flowControlTargetLagSeconds |
string (int64) The target maximum majority committed lag when running with flow control Value must be greater than 0. |
|
flowControlWarnThresholdSeconds |
string (int64) The amount of time to wait to log a warning once the flow control mechanism detects the majority commit point has not moved. The minimum value is 0. |
|
migrateCloneInsertionBatchDelayMs |
string (int64) Time in milliseconds to wait between batches of insertions during cloning step of the migration process. The minimum value is 0. |
|
migrateCloneInsertionBatchSize |
string (int64) The maximum number of documents to insert in a single batch during the cloning step of the migration process. The minimum value is 0. |
|
orphanCleanupDelaySecs |
string (int64) Minimum delay before a migrated chunk is deleted from the source shard. |
|
persistedChunkCacheUpdateMaxBatchSize |
string (int64) Specifies the maximum batch size used for updating the persisted chunk cache. |
|
rangeDeleterBatchDelayMs |
string (int64) The amount of time in milliseconds to wait before the next batch of deletion during the cleanup stage of chunk migration (or the cleanupOrphaned command). The minimum value is 0. |
|
rangeDeleterBatchSize |
string (int64) The maximum number of documents in each batch to delete during the cleanup stage of chunk migration (or the cleanupOrphaned command). The minimum value is 0. |
|
mirrorReads |
Specifies the settings for mirrored reads for the mongod instance |
|
redactClientLogData |
boolean Enables redacting any message accompanying a given log event before logging. |
MirrorReads
|
Field |
Description |
|
samplingRate |
number (double) The sampling rate used to mirror a subset of operations that support mirroring. |
|
maxTimeMs |
string (int64) The maximum time in milliseconds for the mirrored reads. |
Oplog
|
Field |
Description |
|
maxSizePercent |
string (int64) Oplog maxsize in percents. |
|
minRetentionHours |
number (double) The minimum number of hours to preserve an oplog entry, where decimal values represent the fractions of an hour. |
MongoCfg
|
Field |
Description |
|
config |
Configuration for mongocfg hosts. |
|
resources |
Resources allocated to each mongocfg host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongoCfgConfig
|
Field |
Description |
|
storage |
|
|
operationProfiling |
|
|
net |
|
|
setParameter |
|
|
auditLog |
|
|
oplog |
|
|
chainingAllowed |
boolean Chained replication setting |
Storage
|
Field |
Description |
|
wiredTiger |
Configuration of the WiredTiger storage engine. |
WiredTiger
Configuration of WiredTiger storage engine.
|
Field |
Description |
|
engineConfig |
Engine configuration for WiredTiger. |
EngineConfig
|
Field |
Description |
|
cacheSizeGb |
number (double) The maximum size of the internal cache that WiredTiger will use for all data. |
|
cacheSize |
number (double) The maximum size of the internal cache that WiredTiger will use for all data in percents. |
OperationProfiling
|
Field |
Description |
|
mode |
enum (Mode) Mode which specifies operations that should be profiled.
|
|
slowOpThreshold |
string (int64) The slow operation time threshold, in milliseconds. Operations that run Value must be greater than 0. |
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongocfg will accept. Acceptable values are 10 to 32768, inclusive. |
SetParameter
|
Field |
Description |
|
enableFlowControl |
boolean Enables or disables the mechanism that controls the rate at which the primary applies its writes with the |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
redactClientLogData |
boolean Enables redacting any message accompanying a given log event before logging. |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter, should be valid JSON object string |
Oplog
|
Field |
Description |
|
maxSizePercent |
string (int64) Oplog maxsize in percents. |
|
minRetentionHours |
number (double) The minimum number of hours to preserve an oplog entry, where decimal values represent the fractions of an hour. |
Mongos
|
Field |
Description |
|
config |
Configuration for mongos hosts. |
|
resources |
Resources allocated to each mongos host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
MongosConfig
|
Field |
Description |
|
net |
Network settings for mongos. |
|
setParameter |
|
|
auditLog |
|
|
chunkSize |
string (int64)
|
Network
|
Field |
Description |
|
maxIncomingConnections |
string (int64) The maximum number of simultaneous connections that mongos will accept. Acceptable values are 10 to 32768, inclusive. |
|
compression |
Compression settings |
Compression
|
Field |
Description |
|
compressors[] |
enum (Compressor) Specifies the default compressor(s) to use for communication between this mongod or mongos instance and:
The number of elements must be in the range 1-3. |
SetParameter
|
Field |
Description |
|
auditAuthorizationSuccess |
boolean Enables the auditing of authorization successes |
|
readHedgingMode |
string Specifies whether mongos supports hedged reads for those read operations whose read preference have enabled the hedged read option. |
|
shardingTaskExecutorPoolMaxSize |
string (int64) Maximum number of outbound connections each TaskExecutor connection pool can open to any given mongod instance. |
|
shardingTaskExecutorPoolMaxConnecting |
string (int64) Maximum number of simultaneous initiating connections (including pending connections in setup/refresh state) each TaskExecutor connection pool can have to a mongod instance. |
|
shardingTaskExecutorPoolMinSize |
string (int64) Minimum number of outbound connections each TaskExecutor connection pool can open to any given mongod instance. |
|
shardingTaskExecutorPoolReplicaSetMatching |
string On a mongos instance, this parameter sets the policy that determines the minimum size limit of its connection pools to nodes within replica sets. |
|
shardingTaskExecutorPoolHostTimeoutMs |
string (int64) Maximum time that mongos goes without communication to a host before mongos drops all connections to the host. |
|
shardingTaskExecutorPoolRefreshRequirementMs |
string (int64) Maximum time the mongos waits before attempting to heartbeat an idle connection in the pool. |
|
shardingTaskExecutorPoolRefreshTimeoutMs |
string (int64) Maximum time the mongos waits for a heartbeat before timing out the heartbeat. |
|
warmMinConnectionsInShardingTaskExecutorPoolOnStartup |
boolean Configures a mongos instance to prewarm its connection pool on startup. |
|
warmMinConnectionsInShardingTaskExecutorPoolOnStartupWaitMs |
string (int64) Sets the timeout threshold in milliseconds for a mongos to wait for ShardingTaskExecutorPoolMinSize connections to be established per shard host when using the warmMinConnectionsInShardingTaskExecutorPoolOnStartup parameter. |
|
shardingTaskExecutorPoolMaxSizeForConfigServers |
string (int64) Optional override for ShardingTaskExecutorPoolMaxSize to set the maximum number of outbound connections each TaskExecutor connection pool can open to a configuration server. |
|
shardingTaskExecutorPoolMinSizeForConfigServers |
string (int64) Optional override for ShardingTaskExecutorPoolMinSize to set the minimum number of outbound connections each TaskExecutor connection pool can open to a configuration server. |
|
redactClientLogData |
boolean Enables redacting any message accompanying a given log event before logging. |
AuditLog
|
Field |
Description |
|
filter |
string Audit filter, should be valid JSON object string |
MongoInfra
|
Field |
Description |
|
configMongos |
Configuration for mongos of mongoinfra hosts. |
|
configMongocfg |
Configuration for mongocfg of mongoinfra hosts. |
|
resources |
Resources allocated to each mongoinfra (mongos+mongocfg) host. |
|
diskSizeAutoscaling |
Disk size autoscaling settings |
AutoCompactConfig
|
Field |
Description |
|
enabled |
boolean Enable autocompact. |
|
targetFreeSpace |
string (int64) Minimum estimated amount of space to be freed by compact operation to run. |
|
bloatPercent |
number (double) Minimum percentage of bloat of collection to be compacted. |
|
compactionType |
enum (CompactionType) Type of compaction. Either switch primary to run compaction on all hosts or ignore primary host.
|
MaintenanceWindow
A maintenance window settings.
|
Field |
Description |
|
anytime |
object Maintenance operation can be scheduled anytime. Includes only one of the fields The maintenance policy in effect. |
|
weeklyMaintenanceWindow |
Maintenance operation can be scheduled on a weekly basis. Includes only one of the fields The maintenance policy in effect. |
WeeklyMaintenanceWindow
Weelky maintenance window settings.
|
Field |
Description |
|
day |
enum (WeekDay) Day of the week (in
|
|
hour |
string (int64) Hour of the day in UTC (in Acceptable values are 1 to 24, inclusive. |
Response
HTTP Code: 200 - OK
{
"id": "string",
"description": "string",
"createdAt": "string",
"createdBy": "string",
"modifiedAt": "string",
"done": "boolean",
"metadata": "object",
// Includes only one of the fields `error`, `response`
"error": {
"code": "integer",
"message": "string",
"details": [
"object"
]
},
"response": "object"
// end of the list of possible fields
}
An Operation resource. For more information, see Operation.
|
Field |
Description |
|
id |
string ID of the operation. |
|
description |
string Description of the operation. 0-256 characters long. |
|
createdAt |
string (date-time) Creation timestamp. String in RFC3339 To work with values in this field, use the APIs described in the |
|
createdBy |
string ID of the user or service account who initiated the operation. |
|
modifiedAt |
string (date-time) The time when the Operation resource was last modified. String in RFC3339 To work with values in this field, use the APIs described in the |
|
done |
boolean If the value is |
|
metadata |
object Service-specific metadata associated with the operation. |
|
error |
The error result of the operation in case of failure or cancellation. Includes only one of the fields The operation result. |
|
response |
object The normal response of the operation in case of success. Includes only one of the fields The operation result. |
Status
The error result of the operation in case of failure or cancellation.
|
Field |
Description |
|
code |
integer (int32) Error code. An enum value of google.rpc.Code |
|
message |
string An error message. |
|
details[] |
object A list of messages that carry the error details. |